%define upstream_name    Text-ASCIITable
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Create a nice formatted table using ASCII characters
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build)
BuildArch:  noarch

%description
Pretty nifty if you want to output dynamic text to your console or other
fixed-size-font displays, and at the same time it will display it in a nice
human-readable, or "cool" way.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Text
%{_mandir}/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.220.0-6.mga10
+ Revision: 2204777
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.220.0-5.mga9
+ Revision: 1810456
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.220.0-4.mga8
+ Revision: 1506677
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.220.0-3.mga7
+ Revision: 1286963
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.220.0-2.mga7
+ Revision: 1166946
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 sander85 <sander85> 0.220.0-1.mga7
+ Revision: 1155523
- update to 0.22

* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-10.mga6
+ Revision: 1034895
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.200.0-9.mga6
+ Revision: 971521
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 0.200.0-8.mga6
+ Revision: 891847
- typo fix
- BR perl(Module::Build))

* Sun Oct 19 2014 umeabot <umeabot> 0.200.0-6.mga5
+ Revision: 789771
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-5.mga5
+ Revision: 743017
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-4.mga5
+ Revision: 686592
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.200.0-3.mga4
+ Revision: 515414
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 373975
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 01 2011 kharec <kharec> 0.200.0-1.mga2
+ Revision: 174785
- update to 0.20

* Sat Nov 26 2011 kharec <kharec> 0.190.0-1.mga2
+ Revision: 172197
- update to 0.19

* Thu Jan 20 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 27141
- mageia rebuild
- imported package perl-Text-ASCIITable


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.180.0-1mdv2010.0
+ Revision: 405605
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.18-5mdv2009.0
+ Revision: 258609
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.18-4mdv2009.0
+ Revision: 246599
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.18-2mdv2008.1
+ Revision: 140721
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-2mdv2008.0
+ Revision: 67082
- rebuild


* Mon Jul 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2007.0
- New version 0.18
- Module::Build-based build

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.17-2mdk
- Fix SPEC according to Perl Policy
    - Source URL
- use mkrel

* Wed Sep 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdk
- New release 0.17

* Fri Sep 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdk
- new version 
- rpmbuildupdate aware
- fix directory ownership
- spec cleanup
- make test in %%check

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-1mdk
- First Mandriva release

